Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class EchoTCPClient

    java.lang.Object
      |
      +--org.apache.commons.net.SocketClient
            |
            +--org.apache.commons.net.DiscardTCPClient
                  |
                  +--org.apache.commons.net.EchoTCPClient

public final class EchoTCPClient
extends DiscardTCPClient

The EchoTCPClient class is a TCP implementation of a client for the Echo protocol described in RFC 862. To use the class, merely establish a connection with connect and call getOutputStream() to retrieve the echo output stream and getInputStream() to get the echo input stream. Don't close either stream when you're done using them. Rather, call disconnect to clean up properly.

Author:
  Daniel F. Savarese
See Also:
  `EchoUDPClient`, `DiscardTCPClient`

Field Summary
`static int` | `DEFAULT_PORT` The default echo port.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`EchoTCPClient()` The default EchoTCPClient constructor.

Method Summary
`java.io.InputStream` | `getInputStream()` Returns an InputStream from which you may read echoed data from the server.

Methods inherited from class org.apache.commons.net.DiscardTCPClient
`getOutputStream`

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default echo port. It is set to 7 according to RFC 862.

  See Also:
    Constant Field Values

Constructor Detail

### EchoTCPClient

    public EchoTCPClient()

  The default EchoTCPClient constructor. It merely sets the default port to `DEFAULT_PORT` .

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Returns an InputStream from which you may read echoed data from the server. You should NOT close the InputStream when you're finished reading from it. Rather, you should call disconnect to clean up properly.

  Returns:
    An InputStream from which you can read echoed data from the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.